com.android.agf.fragments

## Class EditWebviewFragment

- java.lang.Object
- - android.support.v4.app.Fragment
  - - com.actionbarsherlock.app.SherlockFragment
    - - com.android.agf.fragments.Base_WebViewFragment
      - - com.android.agf.fragments.ComponentWebViewFragment
        - - com.android.agf.fragments.EditWebviewFragment

- All Implemented Interfaces:
    ComponentCallbacks, _ActionBarSherlockTrojanHorse.OnCreateOptionsMenuListener, _ActionBarSherlockTrojanHorse.OnOptionsItemSelectedListener, _ActionBarSherlockTrojanHorse.OnPrepareOptionsMenuListener, View.OnCreateContextMenuListener

      public class EditWebviewFragment
      extends ComponentWebViewFragment

  fragment per l'edicio d'un component d'un dashboard
  Author:
    albert

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) class` | `EditWebviewFragment.MyLoadEdit` classe local per la carrega de dades del component a editar
    `(package private) class` | `EditWebviewFragment.MyUpdateEdit` classe local per actualitzar les dades del component en el dashbaord

    - ### Nested classes/interfaces inherited from class com.android.agf.fragments.ComponentWebViewFragment

      `ComponentWebViewFragment.MyDragListener, ComponentWebViewFragment.MyLoad, ComponentWebViewFragment.MyLoadCDA`

    - ### Nested classes/interfaces inherited from class com.android.agf.fragments.Base_WebViewFragment

      `Base_WebViewFragment.InsideWebChromeClient, Base_WebViewFragment.InsideWebViewClient, Base_WebViewFragment.MyJavaScript, Base_WebViewFragment.MyJavaScriptCDA`

    - ### Nested classes/interfaces inherited from class android.support.v4.app.Fragment

      `Fragment.InstantiationException, Fragment.SavedState`

  - ### Field Summary

    - ### Fields inherited from class com.android.agf.fragments.ComponentWebViewFragment

      `mComponent, mDefaultView, mLegend, mLegendSetting, mLoadView, mNomComponent, mTitle, mTitleSetting, mViewSettings, mWebview1`

    - ### Fields inherited from class com.android.agf.fragments.Base_WebViewFragment

      `mHandler, mId, mPentaho, mServer, mUser`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditWebviewFragment()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acceptListener()` funcio per cridar l'actualitzacio del component
    `void` | `finalitza()`
    `static EditWebviewFragment` | `newInstance(String id, String user, String nom, String dash)`
    `void` | `onCreate(Bundle savedInstanceState)` crida el primer cop que es crea el fragment, extras i creacio del handler de comunicació amb el thread UI
    `View` | `onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState)` adjudicacio del layout segons si es cda o cdf
    `void` | `onDestroy()` neteja de camps de dades per afavorir el GC i alliberar memòria
    `void` | `onResume()` crida un cop el fragment esta present en el viewpager, usuari servidor pentaho i carrega de dades
    `void` | `tancaLoad(int id)` funcio per modificar views al finalitzar la carrega de dades

    - ### Methods inherited from class com.android.agf.fragments.ComponentWebViewFragment

      `actualitzaLlegenda, canviaColor, canviaGraph, iniciaLoad, initWebViews, loadingWebview, newInstance, onActivityCreated, onStop, startWebview, startWebviewCDA, webviewSettings`

    - ### Methods inherited from class com.actionbarsherlock.app.SherlockFragment

      `getSherlockActivity, onAttach, onCreateOptionsMenu, onCreateOptionsMenu, onDetach, onOptionsItemSelected, onOptionsItemSelected, onPrepareOptionsMenu, onPrepareOptionsMenu`

    - ### Methods inherited from class android.support.v4.app.Fragment

      `dump, equals, getActivity, getArguments, getChildFragmentManager, getFragmentManager, getId, getLayoutInflater, getLoaderManager, getParentFragment, getResources, getRetainInstance, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, hashCode, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isRemoving, isResumed, isVisible, onActivityResult, onConfigurationChanged, onContextItemSelected, onCreateAnimation, onCreateContextMenu, onDestroyOptionsMenu, onDestroyView, onHiddenChanged, onInflate, onLowMemory, onOptionsMenuClosed, onPause, onSaveInstanceState, onStart, onViewCreated, onViewStateRestored, registerForContextMenu, setArguments, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setRetainInstance, setTargetFragment, setUserVisibleHint, startActivity, startActivityForResult, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EditWebviewFragment

          public EditWebviewFragment()

  - ### Method Detail

    - #### newInstance

          public static EditWebviewFragment newInstance(String id,
                                        String user,
                                        String nom,
                                        String dash)

    - #### onCreate

          public void onCreate(Bundle savedInstanceState)

      Description copied from class: `ComponentWebViewFragment`
      crida el primer cop que es crea el fragment, extras i creacio del handler de comunicació amb el thread UI
      Overrides:
        `onCreate` in class `ComponentWebViewFragment`

    - #### onCreateView

          public View onCreateView(LayoutInflater inflater,
                          ViewGroup container,
                          Bundle savedInstanceState)

      Description copied from class: `ComponentWebViewFragment`
      adjudicacio del layout segons si es cda o cdf
      Overrides:
        `onCreateView` in class `ComponentWebViewFragment`

    - #### onResume

          public void onResume()

      Description copied from class: `ComponentWebViewFragment`
      crida un cop el fragment esta present en el viewpager, usuari servidor pentaho i carrega de dades
      Overrides:
        `onResume` in class `ComponentWebViewFragment`

    - #### onDestroy

          public void onDestroy()

      Description copied from class: `ComponentWebViewFragment`
      neteja de camps de dades per afavorir el GC i alliberar memòria
      Overrides:
        `onDestroy` in class `ComponentWebViewFragment`

    - #### acceptListener

          public void acceptListener()

      funcio per cridar l'actualitzacio del component

    - #### finalitza

          public void finalitza()

    - #### tancaLoad

          public void tancaLoad(int id)

      Description copied from class: `Base_WebViewFragment`
      funcio per modificar views al finalitzar la carrega de dades
      Overrides:
        `tancaLoad` in class `ComponentWebViewFragment`